Bug 14015 - vfs_catia doesn't pass stat info
vfs_catia doesn't pass stat info
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-27 10:53 UTC by Ralph Böhme
Modified: 2019-08-09 08:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 and 4.10 cherry-picked from master (6.63 KB, patch)
2019-07-08 11:18 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-06-27 10:53:33 UTC

    
Comment 1 Ralph Böhme 2019-06-27 10:56:26 UTC
vfs_catia doesn't copy stat info when synthesizing smb filenames, so for VFS modules stacked behind catia stat metadata of the original file is not available.
Comment 2 Ralph Böhme 2019-07-08 11:18:54 UTC
Created attachment 15294 [details]
Patch for 4.9 and 4.10 cherry-picked from master
Comment 3 Jeremy Allison 2019-07-08 18:32:58 UTC
Re-assigning to Karolin for inclusion in 4.9.next, 4.10.next.
Comment 4 Karolin Seeger 2019-08-06 08:19:33 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{10,9}-test.
Comment 5 Karolin Seeger 2019-08-09 08:10:02 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!